Loading...
Searching...
No Matches
ConnectionProvider::UpdateOptionsInterface Class Reference

Interface class inherited by connection classes that declare the AbstractConnection::CF_UPDATE_OPTIONS feature. More...

`#include <UpdateOptionsInterface.qc.dox.h>`

Inheritance diagram for ConnectionProvider::UpdateOptionsInterface:
[legend]

## Public Member Functions

| setUpdateOptionsCode (*code update_options)
| Can be called to set or clear a closure or call reference to be called when options are automatically updated.

## Protected Member Functions

| doUpdateOptions (LoggerInterface logger, hash< auto > new_opts)
| Performs the option update in the external system.

## Protected Attributes

transient *code | update_options
| Closure or call reference to be called when connection options should be automatically updated.

## Detailed Description

Interface class inherited by connection classes that declare the AbstractConnection::CF_UPDATE_OPTIONS feature.

## Member Function Documentation

## setUpdateOptionsCode()

ConnectionProvider::UpdateOptionsInterface::setUpdateOptionsCode | ( | *code | update_options | ) |

Can be called to set or clear a closure or call reference to be called when options are automatically updated.

The closure or call reference must have the following signature: `<update_options(hash<auto> options)`

## Member Data Documentation

## update_options

transient *code ConnectionProvider::UpdateOptionsInterface::update_options

protected

Closure or call reference to be called when connection options should be automatically updated.

The closure or call reference must have the following signature: `<update_options(hash<auto> options) /tt>`